apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: solr-0.1.2
  namespace: asag
spec:
  clusters:
    - annotations:
        x-lxe-additional-lxd-config: |
          limits.kernel.nproc: "65000"
      flags:
        - from: value
          key: v1_role
          to: label
          value: solr
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: solr
      nodes:
        flags:
          - from: setting
            key: v1_disable_backup
            setting: disable_backup
            to: label
        settings:
          - from:
              - user
            name: disable_backup
            schema:
              default: true
              description: Disable backup on this node. Set this to false for at least one node (preferrably slave).
              type: boolean
      podspec:
        containers:
          - image: aep/base_jammy
            name: solr
      provides:
        - exposed: true
          filter: []
          name: solr
          network: loadbalanced
          servicespec:
            ports:
              - name: solr
                port: 8983
                protocol: TCP
                targetPort: 8983
      sizing:
        increment: 1
        initial: 3
        maximum: 10
        minimum: 1
        setup:
          initial:
            - settings:
                - key: disable_backup
                  value: false
      topologyqueries: []
    - flags:
        - from: value
          key: v1_role
          to: label
          value: zookeeper
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: zookeeper
      nodes:
        flags: []
        settings: []
      podspec:
        containers:
          - image: aep/base_jammy
            name: solr
      provides:
        - exposed: false
          filter: []
          name: zookeeper
          network: direct
          servicespec:
            ports:
              - name: peer
                port: 2888
                protocol: TCP
                targetPort: 2888
              - name: leader
                port: 3888
                protocol: TCP
                targetPort: 3888
              - name: client
                port: 2181
                protocol: TCP
                targetPort: 2181
      sizing:
        increment: 1
        initial: 3
        maximum: 10
        minimum: 1
        setup: {}
      topologyqueries: []
  dependencies:
    operator:
      name: solr-operator
      vendor: asag
      version: 0.1.2
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.1
  name: solr
  settings:
    - name: environment
      schema:
        default: solr_prod
  version: 0.1.2
